Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class BTCAdviceApplicationType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.BTCAdviceApplicationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class BTCAdviceApplicationType

extends Object
implements Serializable

Generiek type voor een aanvraag in de vraag naar advies BTC.

Java class for BTCAdviceApplicationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BTCAdviceApplicationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}BTCAdviceMobilityToolType"/>
             <element name="AdviceAskedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Priority" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}BTCPriorityType"/>
             <element name="LinkToMohm" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BTCAdviceApplicationType()`

Method Summary
`org.joda.time.DateTime` | `getAdviceAskedDate()` Gets the value of the adviceAskedDate property.
`String` | `getLinkToMohm()` Gets the value of the linkToMohm property.
`BTCAdviceMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
`String` | `getPriority()` Gets the value of the priority property.
`void` | `setAdviceAskedDate(org.joda.time.DateTime value)` Sets the value of the adviceAskedDate property.
`void` | `setLinkToMohm(String value)` Sets the value of the linkToMohm property.
`void` | `setMobilityTool(BTCAdviceMobilityToolType value)` Sets the value of the mobilityTool property.
`void` | `setPriority(String value)` Sets the value of the priority property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BTCAdviceApplicationType

    public BTCAdviceApplicationType()

Method Detail

### getMobilityTool

    public BTCAdviceMobilityToolType getMobilityTool()

  Gets the value of the mobilityTool property.

  Returns:
    possible object is `BTCAdviceMobilityToolType`

### setMobilityTool

    public void setMobilityTool(BTCAdviceMobilityToolType value)

  Sets the value of the mobilityTool property.

  Parameters:
    `value` - allowed object is `BTCAdviceMobilityToolType`

### getAdviceAskedDate

    public org.joda.time.DateTime getAdviceAskedDate()

  Gets the value of the adviceAskedDate property.

  Returns:
    possible object is `String`

### setAdviceAskedDate

    public void setAdviceAskedDate(org.joda.time.DateTime value)

  Sets the value of the adviceAskedDate property.

  Parameters:
    `value` - allowed object is `String`

### getPriority

    public String getPriority()

  Gets the value of the priority property.

  Returns:
    possible object is `String`

### setPriority

    public void setPriority(String value)

  Sets the value of the priority property.

  Parameters:
    `value` - allowed object is `String`

### getLinkToMohm

    public String getLinkToMohm()

  Gets the value of the linkToMohm property.

  Returns:
    possible object is `String`

### setLinkToMohm

    public void setLinkToMohm(String value)

  Sets the value of the linkToMohm property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.